css-text-0.1.3.0: CSS parser and renderer.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.CSS.Parse

Description

Parse CSS with parseNestedBlocks and render it with renderNestedBlock

Synopsis

- data NestedBlock
  - = NestedBlock Text [NestedBlock]
  - | LeafBlock CssBlock
- parseNestedBlocks :: Text -> Either String [NestedBlock]
- parseBlocks :: Text -> Either String [CssBlock]
- parseBlock :: Text -> Either String CssBlock
- attrParser :: Parser (Text, Text)
- attrsParser :: Parser [(Text, Text)]
- blockParser :: Parser (Text, [(Text, Text)])
- blocksParser :: Parser [(Text, [(Text, Text)])]
- parseAttr :: Text -> Either String (Text, Text)
- parseAttrs :: Text -> Either String [(Text, Text)]

# Documentation

data NestedBlock Source #

Constructors

NestedBlock Text [NestedBlock] | for example a media query
LeafBlock CssBlock |

#### Instances

Instances details

Show NestedBlock Source # |
Instance details Defined in Text.CSS.Parse Methods showsPrec :: Int -> NestedBlock -> ShowS Source # show :: NestedBlock -> String Source # showList :: [NestedBlock] -> ShowS Source #
Eq NestedBlock Source # |
Instance details Defined in Text.CSS.Parse Methods (==) :: NestedBlock -> NestedBlock -> Bool Source # (/=) :: NestedBlock -> NestedBlock -> Bool Source #

parseNestedBlocks :: Text -> Either String [NestedBlock] Source #

The preferred parser, will capture media queries

parseBlocks :: Text -> Either String [CssBlock] Source #

The original parser of basic CSS, but throws out media queries

parseBlock :: Text -> Either String CssBlock Source #

attrParser :: Parser (Text, Text) Source #

attrsParser :: Parser [(Text, Text)] Source #

blockParser :: Parser (Text, [(Text, Text)]) Source #

blocksParser :: Parser [(Text, [(Text, Text)])] Source #

parseAttr :: Text -> Either String (Text, Text) Source #

parseAttrs :: Text -> Either String [(Text, Text)] Source #